package constants

import (
	"github.com/go-playground/validator/v10"
	"github.com/gofiber/fiber/v2"
	"gorm.io/gorm"

	rConstant "gitlab.com/mbugroup/lti-api.git/internal/modules/constants/repositories"
	sConstant "gitlab.com/mbugroup/lti-api.git/internal/modules/constants/services"
)

type ConstantModule struct{}

func (ConstantModule) RegisterRoutes(router fiber.Router, db *gorm.DB, validate *validator.Validate) {
	constantRepo := rConstant.NewConstantRepository(db)

	constantService := sConstant.NewConstantService(constantRepo, validate)

	ConstantRoutes(router, constantService)
}
